Bug 103981 - boot.c does't find PAGE_SIZE
boot.c does't find PAGE_SIZE
Status: CLOSED RAWHIDE
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: lilo (Show other bugs)
3.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-09-08 15:28 EDT by Pasi Pirhonen
Modified: 2007-11-30 17:06 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-09-08 15:45:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pasi Pirhonen 2003-09-08 15:28:55 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030830
Debian/1.4-3.he-1

Description of problem:
lilo-21.4.4-22 isn't compiling. Needs something like 

[root@dual SOURCES]# cat lilo-21.4.4-boot2.patch 
--- lilo-21.4.4/boot.c.orig     2000-03-26 20:28:25.000000000 +0300
+++ lilo-21.4.4/boot.c  2003-09-08 22:15:46.000000000 +0300
@@ -12,6 +12,8 @@
 #include <a.out.h>
 #include <sys/stat.h>
 
+#include <asm/page.h>
+
 #include "config.h"
 #include "common.h"
 #include "lilo.h"



Version-Release number of selected component (if applicable):
lilo-21.4.4-22

How reproducible:
Always

Steps to Reproduce:
1.try to recompile it
    

Actual Results:  failing to recompile


Additional info:
Comment 1 Jeremy Katz 2003-09-08 15:45:21 EDT
Fixed in 23.1

Note You need to log in before you can comment on or make changes to this bug.